## org.eclipse.datatools.sqltools.sql
Interface ISQLSyntax

public interface ISQLSyntax

SQL Syntax words.

Author:
  Hui Cao

Method Summary
`java.lang.Object[]` `getAllWords()` Gets an array of arrays containing all SQL words, including keywords, constants, predicates, data types names, and function names.
`java.lang.String[]` `getConstants()` Gets an array of SQL constants.
`java.lang.String[]` `getFunctions()` Gets an array of SQL built-in function names.
`java.lang.String[]` `getGlobalVariables()` Gets an array of global variables supported by this database.
`java.lang.String[]` `getPredicates()` Gets an array of SQL predicates.
`java.lang.String[]` `getReservedwords()` Gets an array of SQL reserved keywords.
`java.lang.String[]` `getSingleLineComments()` Gets an array of SQL single line comments.
`java.lang.String[]` `getTypes()` Gets an array of SQL datatype names.
`java.lang.String[]` `getUnreservedwords()` Gets an array of SQL unreserved keywords.

Method Detail

### getFunctions

    public java.lang.String[] getFunctions()

  Gets an array of SQL built-in function names.

### getPredicates

    public java.lang.String[] getPredicates()

  Gets an array of SQL predicates.

### getReservedwords

    public java.lang.String[] getReservedwords()

  Gets an array of SQL reserved keywords.

### getUnreservedwords

    public java.lang.String[] getUnreservedwords()

  Gets an array of SQL unreserved keywords.

### getTypes

    public java.lang.String[] getTypes()

  Gets an array of SQL datatype names.

### getConstants

    public java.lang.String[] getConstants()

  Gets an array of SQL constants.

### getAllWords

    public java.lang.Object[] getAllWords()

  Gets an array of arrays containing all SQL words, including keywords, constants, predicates, data types names, and function names.

### getSingleLineComments

    public java.lang.String[] getSingleLineComments()

  Gets an array of SQL single line comments.

### getGlobalVariables

    public java.lang.String[] getGlobalVariables()

  Gets an array of global variables supported by this database.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.